class secure_afs_request (
  Enum['present', 'absent'] $ensure = 'present',
  String                    $vhost  = 'secure-afs-request.example.com',
) {

   # Install the
   file { "/etc/apache2/sites-enabled/secure-afs-request.conf":
     ensure  => $ensure,
     content => template('secure_afs_request/etc/apache2/sites-available/secure-afs-request.conf.erb'),
     owner   => 'root',
     group   => 'root',
     mode    => '0755',
   }

  # Install the key-pair
  su_apache::cert::incommon { $vhost:
    ensure => $ensure,
  }

}
